onEvent('recipes', event => {
    event.shaped('kubejs:darksteel_ingot', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:darksteel_nugget'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:darksteel_nugget', ['   ', ' V ', '   '], {
        V: 'kubejs:darksteel_ingot'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:darksteel_ingot', ['   ', 'V  ', '   '], {
        V: 'kubejs:darksteel_block'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:darksteel_block', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:darksteel_ingot'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:energeticalloy_ingot', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:energeticalloy_nugget'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:energeticalloy_nugget', ['   ', ' V ', '   '], {
        V: 'kubejs:energeticalloy_ingot'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:energeticalloy_ingot', ['   ', 'V  ', '   '], {
        V: 'kubejs:energeticalloy_block'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:energeticalloy_block', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:energeticalloy_ingot'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:vibrantalloy_ingot', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:vibrantalloy_nugget'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:vibrantalloy_nugget', ['   ', ' V ', '   '], {
        V: 'kubejs:vibrantalloy_ingot'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:vibrantalloy_ingot', ['   ', 'V  ', '   '], {
        V: 'kubejs:vibrantalloy_block'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:vibrantalloy_block', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:vibrantalloy_ingot'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:uwuterium_ingot', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:uwuterium_nugget'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:uwuterium_nugget', ['   ', ' V ', '   '], {
        V: 'kubejs:uwuterium_ingot'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:uwuterium_nugget', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:uwuterium_pile'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:uwuterium_pile', ['   ', ' V ', '   '], {
        V: 'kubejs:uwuterium_nugget'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:uwuterium_ingot', ['   ', 'V  ', '   '], {
        V: 'kubejs:uwuterium_block'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:uwuterium_block', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:uwuterium_ingot'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:nightsky_redstone', ['   ', 'V  ', '   '], {
        V: 'kubejs:nightsky_redstone_block'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:nightsky_redstone_block', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:nightsky_redstone'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:charged_nightsky_redstone', ['   ', 'V  ', '   '], {
        V: 'kubejs:charged_nightsky_redstone_block'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:charged_nightsky_redstone_block', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:charged_nightsky_redstone'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:charged_nightsky_emerald', ['   ', 'V  ', '   '], {
        V: 'kubejs:charged_nightsky_emerald_block'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:charged_nightsky_emerald_block', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:charged_nightsky_emerald'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:nightsky_emerald', ['   ', 'V  ', '   '], {
        V: 'kubejs:nightsky_emerald_block'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:nightsky_emerald_block', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:nightsky_emerald'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:charged_nightsky_coal', ['   ', 'V  ', '   '], {
        V: 'kubejs:charged_nightsky_coal_block'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:charged_nightsky_coal_block', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:charged_nightsky_coal'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:nightsky_coal', ['   ', 'V  ', '   '], {
        V: 'kubejs:nightsky_coal_block'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:nightsky_coal_block', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:nightsky_coal'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:nightsky_iron', ['   ', 'V  ', '   '], {
        V: 'kubejs:nightsky_iron_block'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:nightsky_iron_block', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:nightsky_iron'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:charged_nightsky_iron', ['   ', 'V  ', '   '], {
        V: 'kubejs:charged_nightsky_iron_block'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:charged_nightsky_iron_block', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:charged_nightsky_iron'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:charged_nightsky_lapis', ['   ', 'V  ', '   '], {
        V: 'kubejs:charged_nightsky_lapis_block'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:charged_nightsky_lapis_block', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:charged_nightsky_lapis'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:charged_nightsky_diamond', ['   ', 'V  ', '   '], {
        V: 'kubejs:charged_nightsky_diamond_block'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:charged_nightsky_diamond_block', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:charged_nightsky_diamond'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:nightsky_diamond', ['   ', 'V  ', '   '], {
        V: 'kubejs:nightsky_diamond_block'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:nightsky_diamond_block', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:nightsky_diamond'
    })
})

onEvent('recipes', event => {
    event.shaped('9x kubejs:nightsky_lapis', ['   ', 'V  ', '   '], {
        V: 'kubejs:nightsky_lapis_block'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:nightsky_lapis_block', ['VVV', 'VVV', 'VVV'], {
        V: 'kubejs:nightsky_lapis'
    })
})

onEvent('recipes', event => {
    event.shaped('kubejs:enderpearl_block', ['VVV', 'VVV', 'VVV'], {
        V: 'minecraft:ender_pearl'
    })

    event.shaped('kubejs:supreme_endestest_pearl', ['CBD', 'EAF', 'GBH'], {
        A: 'kubejs:enderpearl_block', B: 'kubejs:uwuterium_pile', C: 'kubejs:charged_nightsky_coal', D: 'kubejs:charged_nightsky_diamond', E: 'kubejs:charged_nightsky_emerald', F: 'kubejs:charged_nightsky_iron', G: 'kubejs:charged_nightsky_lapis', H: 'kubejs:charged_nightsky_redstone'
    })
})